Bug 1303287 - [abrt] hawaii-shell: wl_proxy_marshal_array_constructor(): hawaii killed by SIGABRT
[abrt] hawaii-shell: wl_proxy_marshal_array_constructor(): hawaii killed by S...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hawaii-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7c159f8dcfafdaf22cdc2e077fc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-30 04:16 EST by mastaiza
Modified: 2016-04-07 11:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: hawaii-shell-0.6.90-0.1.20160228git.fc23 hawaii-shell-0.6.90-0.1.20160228git.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 15:23:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.41 KB, text/plain)
2016-01-30 04:16 EST, mastaiza
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-30 04:16 EST, mastaiza
no flags Details
File: core_backtrace (21.62 KB, text/plain)
2016-01-30 04:16 EST, mastaiza
no flags Details
File: dso_list (15.19 KB, text/plain)
2016-01-30 04:16 EST, mastaiza
no flags Details
File: environ (875 bytes, text/plain)
2016-01-30 04:16 EST, mastaiza
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-30 04:16 EST, mastaiza
no flags Details
File: maps (79.23 KB, text/plain)
2016-01-30 04:17 EST, mastaiza
no flags Details
File: mountinfo (3.34 KB, text/plain)
2016-01-30 04:17 EST, mastaiza
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-30 04:17 EST, mastaiza
no flags Details
File: open_fds (5.57 KB, text/plain)
2016-01-30 04:17 EST, mastaiza
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-01-30 04:17 EST, mastaiza
no flags Details
File: var_log_messages (301 bytes, text/plain)
2016-01-30 04:17 EST, mastaiza
no flags Details

  None (edit)
Description mastaiza 2016-01-30 04:16:43 EST
Version-Release number of selected component:
hawaii-shell-0.6.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/hawaii --wayland-socket-name greenisland-seat0
crash_function: wl_proxy_marshal_array_constructor
executable:     /usr/bin/hawaii
global_pid:     1360
kernel:         4.3.3-303.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 wl_proxy_marshal_array_constructor at src/wayland-client.c:610
 #3 wl_proxy_marshal at src/wayland-client.c:648
 #4 GreenIsland::WlCursorTheme::changeCursor at /usr/src/debug/greenisland-0.7.1/src/server/client/wlcursortheme.cpp:298
 #5 GreenIsland::Compositor::resetMouseCursor at /usr/src/debug/greenisland-0.7.1/src/server/compositor.cpp:380
 #6 GreenIsland::Compositor::qt_static_metacall at /usr/src/debug/greenisland-0.7.1/x86_64-redhat-linux-gnu/src/server/moc_compositor.cpp:280
 #7 GreenIsland::Compositor::qt_metacall at /usr/src/debug/greenisland-0.7.1/x86_64-redhat-linux-gnu/src/server/moc_compositor.cpp:522
 #8 QQmlObjectOrGadget::metacall at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/qml/qqmlpropertycache.cpp:1689
 #9 CallMethod at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/jsruntime/qv4qobjectwrapper.cpp:1173
 #10 CallPrecise at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/jsruntime/qv4qobjectwrapper.cpp:1408
 #11 QV4::QObjectMethod::callInternal at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/jsruntime/qv4qobjectwrapper.cpp:1893
Comment 1 mastaiza 2016-01-30 04:16:50 EST
Created attachment 1119618 [details]
File: backtrace
Comment 2 mastaiza 2016-01-30 04:16:52 EST
Created attachment 1119619 [details]
File: cgroup
Comment 3 mastaiza 2016-01-30 04:16:54 EST
Created attachment 1119620 [details]
File: core_backtrace
Comment 4 mastaiza 2016-01-30 04:16:56 EST
Created attachment 1119621 [details]
File: dso_list
Comment 5 mastaiza 2016-01-30 04:16:58 EST
Created attachment 1119622 [details]
File: environ
Comment 6 mastaiza 2016-01-30 04:16:59 EST
Created attachment 1119623 [details]
File: limits
Comment 7 mastaiza 2016-01-30 04:17:01 EST
Created attachment 1119624 [details]
File: maps
Comment 8 mastaiza 2016-01-30 04:17:03 EST
Created attachment 1119625 [details]
File: mountinfo
Comment 9 mastaiza 2016-01-30 04:17:04 EST
Created attachment 1119626 [details]
File: namespaces
Comment 10 mastaiza 2016-01-30 04:17:06 EST
Created attachment 1119627 [details]
File: open_fds
Comment 11 mastaiza 2016-01-30 04:17:07 EST
Created attachment 1119628 [details]
File: proc_pid_status
Comment 12 mastaiza 2016-01-30 04:17:09 EST
Created attachment 1119629 [details]
File: var_log_messages
Comment 13 Fedora Update System 2016-03-02 01:38:00 EST
hawaii-workspace-0.6.90-0.1.20160301git.fc22 hawaii-system-preferences-0.6.90-0.1.20160301git.fc22 hawaii-icon-theme-0.6.90-0.1.20160229git.fc22 libhawaii-0.6.90-0.1.20160222git.fc22 hawaii-widget-styles-0.6.90-0.1.20160229git.fc22 hawaii-shell-0.6.90-0.1.20160228git.fc22 greenisland-0.7.90-0.2.20160227git.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9407861569
Comment 14 Fedora Update System 2016-03-02 01:38:03 EST
hawaii-workspace-0.6.90-0.1.20160301git.fc23 hawaii-system-preferences-0.6.90-0.1.20160301git.fc23 hawaii-icon-theme-0.6.90-0.1.20160229git.fc23 libhawaii-0.6.90-0.1.20160222git.fc23 hawaii-widget-styles-0.6.90-0.1.20160229git.fc23 hawaii-shell-0.6.90-0.1.20160228git.fc23 greenisland-0.7.90-0.2.20160227git.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4bd44c2ec2
Comment 15 Fedora Update System 2016-03-02 17:55:57 EST
greenisland-0.7.90-0.2.20160227git.fc23, hawaii-icon-theme-0.6.90-0.1.20160229git.fc23, hawaii-shell-0.6.90-0.1.20160228git.fc23, hawaii-system-preferences-0.6.90-0.1.20160301git.fc23, hawaii-widget-styles-0.6.90-0.1.20160229git.fc23, hawaii-workspace-0.6.90-0.1.20160301git.fc23, libhawaii-0.6.90-0.1.20160222git.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4bd44c2ec2
Comment 16 Fedora Update System 2016-03-02 18:19:56 EST
greenisland-0.7.90-0.2.20160227git.fc22, hawaii-icon-theme-0.6.90-0.1.20160229git.fc22, hawaii-shell-0.6.90-0.1.20160228git.fc22, hawaii-system-preferences-0.6.90-0.1.20160301git.fc22, hawaii-widget-styles-0.6.90-0.1.20160229git.fc22, hawaii-workspace-0.6.90-0.1.20160301git.fc22, libhawaii-0.6.90-0.1.20160222git.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9407861569
Comment 17 Fedora Update System 2016-03-03 15:23:17 EST
greenisland-0.7.90-0.2.20160227git.fc23, hawaii-icon-theme-0.6.90-0.1.20160229git.fc23, hawaii-shell-0.6.90-0.1.20160228git.fc23, hawaii-system-preferences-0.6.90-0.1.20160301git.fc23, hawaii-widget-styles-0.6.90-0.1.20160229git.fc23, hawaii-workspace-0.6.90-0.1.20160301git.fc23, libhawaii-0.6.90-0.1.20160222git.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-04-07 11:49:56 EDT
greenisland-0.7.90-0.2.20160227git.fc22, hawaii-icon-theme-0.6.90-0.1.20160229git.fc22, hawaii-shell-0.6.90-0.1.20160228git.fc22, hawaii-system-preferences-0.6.90-0.1.20160301git.fc22, hawaii-widget-styles-0.6.90-0.1.20160229git.fc22, hawaii-workspace-0.6.90-0.1.20160301git.fc22, libhawaii-0.6.90-0.1.20160222git.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.